--楚皇宫
--剧情本：君临宴

--脚本号
x102006_g_scriptId=102006

function x102006_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"[43596b]誰能成為我楚國天驕，就看此宴！希望你不要讓我失望。[-]")

	AddNumText(scene,x102006_g_scriptId,"劇情副本:君臨宴",-1,1)

	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

function x102006_OnEventRequest( scene,selfId,targetId,eventId ,index)
	if index == 1 then
		BeginEvent(scene)
		AddText(scene,"[43596b]誰能成為我楚國天驕，就看此宴！希望你不要讓我失望[-]")
		AddNumText(scene,x102006_g_scriptId,"難度：普通",-2,10101)
		AddNumText(scene,x102006_g_scriptId,"難度：精英",-2,10102)
		AddNumText(scene,x102006_g_scriptId,"難度：史詩",-2,10103)
		AddNumText(scene,x102006_g_scriptId,"便捷組隊",-2,10104,0,100)
		AddNumText(scene,x102006_g_scriptId,"副本說明",-1,10105)
		AddNumText(scene,x102006_g_scriptId,"返回",-1,10106)
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId)
	elseif index == 10101 then
		GotoCopyScene(scene,selfId,211)
	elseif index == 10102 then
		GotoCopyScene(scene,selfId,212)
	elseif index == 10103 then
		GotoCopyScene(scene,selfId,213)
	elseif index == 10104 then
		x102006_OnDefaultEvent(scene,selfId ,targetId)
	elseif index == 10105 then
		BeginEvent(scene)
		AddText(scene,"玩法說明：\n完成前置任務：楚天驕即可解鎖君臨宴副本\n隊伍限製\n普通難度：單人進入\n精英難度：推薦3人組隊進入\n史詩難度：推薦5人組隊進入")
		AddNumText(scene,x102006_g_scriptId,"返回",-1,10106)
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId)
	elseif index == 10106 then
		x102006_OnDefaultEvent(scene,selfId ,targetId)
	end
end